Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: VirtualBox warning about RETBleed and Spectre

  1. #1
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    5,274
    Distro
    Ubuntu

    Question VirtualBox warning about RETBleed and Spectre

    Host: Ubuntu 20.04
    Guest: Ubuntu 22.04
    VM: VirtualBox 6.1.36

    Both host and guest are fully up to date.

    Recently, when starting the guest Ubuntu 22.04, the VM has been showing a new message shortly after Grub:
    RETBleed: WARNING: Spectre v2 mitigation leaves CPU vulnerable to RETBleed attacks, data leaks possible!
    What is causing this warning to suddenly show? Should I be concerned, and if so, what should I do about it?
    Always make regular backups of your data (and test them).
    Visit Full Circle Magazine for beginners and seasoned Linux enthusiasts.

  2. #2
    Join Date
    Jun 2009
    Location
    SW Forida
    Beans
    Hidden!
    Distro
    Kubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    Both UEFI & kernels need to be most current versions.

    Have you updated UEFI firmware to most current version vendor has available?
    UEFI boot install & repair info - Regularly Updated :
    https://ubuntuforums.org/showthread.php?t=2147295
    Please use Thread Tools above first post to change to [Solved] when/if answered completely.

  3. #3
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    5,274
    Distro
    Ubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    Thank you. I'm using Ubuntu 22.04 in the guest, and it's fully up-to-date, so I hope that this means that the kernel is sufficiently up-to-date.

    It might be a VirtualBox problem: it's not possible to update VirtualBox's virtual UEFI system. However, I found nothing when I searched for others with this error, and I would have expected a problem like this to be reported widely.
    Always make regular backups of your data (and test them).
    Visit Full Circle Magazine for beginners and seasoned Linux enthusiasts.

  4. #4
    Join Date
    Aug 2022
    Beans
    1

    Re: VirtualBox warning about RETBleed and Spectre

    Same issue here.
    Virtual box 6.1.36 and Ubuntu 22.04 (both downloaded today).

  5. #5
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    5,274
    Distro
    Ubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    I wonder if this problem is related to this issue?
    Always make regular backups of your data (and test them).
    Visit Full Circle Magazine for beginners and seasoned Linux enthusiasts.

  6. #6
    Join Date
    Aug 2022
    Beans
    1

    Re: VirtualBox warning about RETBleed and Spectre

    my ubuntu 22.04 guest OS was working a day ago and since yesterday i cant start it anymore as it turns itself off straight away with error - RETBleed: WARNING: Spectre v2 mitigation leaves CPU vulnerable to RETBleed attacks, data leaks possible!

    what a situation!

  7. #7
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    5,274
    Distro
    Ubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    Quote Originally Posted by rashed4004 View Post
    my ubuntu 22.04 guest OS … turns itself off straight away with error - RETBleed …
    I think that this might be something to do with your guest specifically. I'm running Ubuntu 22.04 in VirtualBox. It's fully updated, and it still starts normally (albeit with that message during startup).

    Start a new thread on this, and post the thread's link here. In that thread, post your host's OS and version, your VirtualBox version, and what happens when you try to start your Ubuntu 22.04 in Recovery Mode.
    Always make regular backups of your data (and test them).
    Visit Full Circle Magazine for beginners and seasoned Linux enthusiasts.

  8. #8
    Join Date
    Dec 2009
    Location
    Nice
    Beans
    4
    Distro
    Ubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    I also got the same this morning on a recent but slightly older setup. VBox Version 6.1.32 r149290, Ubuntu 20.04.4 LTS. Aside from the message it booted and works normally...

  9. #9
    Join Date
    Apr 2016
    Beans
    1

    Re: VirtualBox warning about RETBleed and Spectre

    I also got the same message from Ubuntu 16.04 / 20.04 hosts, running VBox versions 5 / 6 (respectively) and hosting Ubuntu 20.04, 22.04 and Debian 11 guests. Neither Ubuntu 16.04 nor Windows10 guests suffer from that. I'm wondering if that's related to the most recent kernels.
    My VMs usually boot and work fine, but a few of them seem stuck at/after the message during installation.

  10. #10
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    5,274
    Distro
    Ubuntu

    Re: VirtualBox warning about RETBleed and Spectre

    Quote Originally Posted by alberto-villar View Post
    Neither Ubuntu 16.04 nor Windows10 guests suffer from that.
    The message seems to come from the Linux kernel, not from VirtualBox itself (it appears only after I tell Grub to boot Ubuntu). That explains why Windows 10 doesn't have the message. It probably explains why Ubuntu 16.04 doesn't have the message, as that has an old kernel. (Ubuntu 16.04 is unsupported unless you use extended support, which includes security updates only.)
    Always make regular backups of your data (and test them).
    Visit Full Circle Magazine for beginners and seasoned Linux enthusiasts.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •